# SocketDescriptor Struct Reference

Describes the local socket to use for RakPeer::Startup. More...

`#include <RakNetTypes.h>`

List of all members.

## Public Attributes

unsigned short | port
| The local port to bind to. Pass 0 to have the OS autoassign a port.
char | hostAddress [32]
| The local network card address to bind to, such as "127.0.0.1". Pass an empty string to use INADDR_ANY.

## Detailed Description

Describes the local socket to use for RakPeer::Startup.

The documentation for this struct was generated from the following files:

- C:/RakNet/Source/RakNetTypes.h
- C:/RakNet/Source/RakNetTypes.cpp